Skip to content

Current identity, role and mode

GET
/api/v1/me
curl --request GET \
--url https://example.com/api/v1/me

Who the caller is; the anonymous viewer when there is no valid session.

Successful Response

Media typeapplication/json
MeResponse

Identity of the caller and the runtime mode.

object
can_claim
Can Claim
boolean
display_name
Any of:
string
id
required
Id
string
mode
required
Mode
string
Allowed values: replay live
osm_signin
Osm Signin
boolean
role
required
Role

Authorization level of the caller, ordered viewer < reviewer < admin.

string
Allowed values: viewer reviewer admin
via_osm
Via Osm
boolean

Example

{
"can_claim": false,
"mode": "replay",
"osm_signin": false,
"role": "viewer",
"via_osm": false
}

Map data © OpenStreetMap contributors, under the Open Database Licence. Code under the Apache-2.0 licence. Made by Yogesh.

Changeset Second Opinion is an independent open source tool for OpenStreetMap reviewers. It is not endorsed by, sponsored by or affiliated with the OpenStreetMap Foundation. OpenStreetMap is a trademark of the OpenStreetMap Foundation, used under itstrademark policy.